import { FisAppQuery } from './fisApp.query';
import { IQueryHandler, QueryHandler } from '@nestjs/cqrs';

import { Observable } from 'rxjs';
import { FisAppRepository } from '../../repository/fisapp-repository';

@QueryHandler(FisAppQuery)
export class FisAppHandler implements IQueryHandler<FisAppQuery> {
  constructor(private fisAppRepository: FisAppRepository) { }

  execute(payload: FisAppQuery): Promise<any> {
    return this.fisAppRepository.query(payload);
  }
}